Skip to main content
GET
/
2025-09
/
subscriptions
/
{subscription_id}
Show a Subscription
curl --request GET \
  --url https://public-api.stora.co/2025-09/subscriptions/{subscription_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/subscriptions/{subscription_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subscription": {
    "id": "sub_125c561ac05edfa1",
    "billing_period": "monthly",
    "cancellation_reason": null,
    "cancelled": false,
    "contact": {
      "id": "con_195h6kfm9ro15lof"
    },
    "created_at": "2025-02-22T14:41:00Z",
    "current_period": {
      "ends_at": null,
      "starts_at": "2025-08-22T14:37:00Z"
    },
    "ends_at": null,
    "line_items": [
      {
        "created_at": "2025-02-22T14:41:00Z",
        "item": {
          "id": "utype_f18fc91387cdf710"
        },
        "price": {
          "amount": 5000,
          "currency": "GBP",
          "formatted": "£50.00"
        },
        "quantity": 1,
        "type": "unit_type",
        "updated_at": "2025-02-22T14:41:00Z"
      },
      {
        "created_at": "2025-02-22T14:41:00Z",
        "item": {
          "id": "plvl_dfaf0f9b464627e9"
        },
        "price": {
          "amount": 2000,
          "currency": "GBP",
          "formatted": "£20.00"
        },
        "quantity": 1,
        "type": "protection",
        "updated_at": "2025-02-22T14:41:00Z"
      },
      {
        "created_at": "2025-02-22T14:41:00Z",
        "item": {
          "id": "prod_d81f4b51313aa8e9"
        },
        "price": {
          "amount": 12345,
          "currency": "GBP",
          "formatted": "£123.45"
        },
        "quantity": 1,
        "type": "custom_product",
        "updated_at": "2025-02-22T14:41:00Z"
      }
    ],
    "order": {
      "id": "order_8541ceb54c1b01f8"
    },
    "site": {
      "id": "site_14b419f1096013f1"
    },
    "starts_at": "2025-02-22T14:41:00Z",
    "stripe_subscription_id": null,
    "stripe_subscription_schedule_id": null,
    "tenancy": {
      "id": "ten_acaf3269a573af74"
    },
    "updated_at": "2025-02-22T14:41:00Z"
  },
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Path Parameters

subscription_id
string
required

The ID of the subscription

Query Parameters

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

Response

200 - application/json

subscription detail

Single Subscription

subscription
object

Subscription

meta
object